unit UnitListView;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Graphics, FMX.Dialogs,
  FMX.ListView.Types, FMX.ListView.Appearances, FMX.ListView.Adapters.Base,
  FMX.ListView, FMX.TabControl, FMX.Controls.Presentation, FMX.StdCtrls,
  System.Rtti, System.Bindings.Outputs,
  Fmx.Bind.Editors, Data.Bind.EngExt, Fmx.Bind.DBEngExt, Data.Bind.Components,
  Data.Bind.DBScope, Data.DB,
  UnitDataModule;

type
  TForm21 = class(TForm)
    ToolBar2: TToolBar;
    TabControl1: TTabControl;
    TabItem1: TTabItem;
    TabItem2: TTabItem;
    ListView1: TListView;
    BindSourceDB1: TBindSourceDB;
    BindingsList1: TBindingsList;
    Ouvrir: TButton;
    Sortir: TButton;
    LabelOrder: TLabel;
    NumOrder: TLabel;
    LabelDate: TLabel;
    DateCommande: TLabel;
    LabelVille: TLabel;
    Ville: TLabel;
    LabelPays: TLabel;
    Pays: TLabel;
    Retour: TButton;
    LinkPropertyToFieldText: TLinkPropertyToField;
    LinkPropertyToFieldText2: TLinkPropertyToField;
    LinkPropertyToFieldText3: TLinkPropertyToField;
    LinkPropertyToFieldText4: TLinkPropertyToField;
    ListView2: TListView;
    BindSourceDB2: TBindSourceDB;
    LinkListControlToField2: TLinkListControlToField;
    LinkListControlToField1: TLinkListControlToField;
    BasculeStyle: TButton;
    procedure OuvrirClick(Sender: TObject);
    procedure SortirClick(Sender: TObject);
    procedure ListView1ItemClick(const Sender: TObject;
      const AItem: TListViewItem);
    procedure RetourClick(Sender: TObject);
    procedure BasculeStyleClick(Sender: TObject);
    procedure LinkListControlToField1FilledListItem(Sender: TObject;
      const AEditor: IBindListEditorItem);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  Form21: TForm21;

implementation

{$R *.fmx}

procedure TForm21.BasculeStyleClick(Sender: TObject);
begin
if Datas.FDOrders.Active then LinkListControlToField1.Active:=False;
if Assigned(StyleBook)
  then StyleBook:=nil
  else StyleBook:=Datas.StyleBook1;
if Datas.FDOrders.Active then LinkListControlToField1.Active:=True;
end;

procedure TForm21.LinkListControlToField1FilledListItem(Sender: TObject;
  const AEditor: IBindListEditorItem);
var AnItem : TListViewItem;
    AListItemTextFixe : TListItemText;
begin
AnItem:=AEditor.CurrentObject as TListViewItem;
if (AnItem.Purpose=TListItemPurpose.None) then
 begin
   // Ajout des libells fixes
   AListItemTextFixe:=AnItem.Objects.FindObjectT<TListItemText>('LabelCmde');
   if Assigned(AListItemTextFixe) then AListItemTextFixe.Text:='Commande';
   AListItemTextFixe:=AnItem.Objects.FindObjectT<TListItemText>('LabelDate');
   if Assigned(AListItemTextFixe) then AListItemTextFixe.Text:='Du';
   AListItemTextFixe:=AnItem.Objects.FindObjectT<TListItemText>('LabelMontant');
   if Assigned(AListItemTextFixe) then AListItemTextFixe.Text:='Montant';
 end;
end;

procedure TForm21.ListView1ItemClick(const Sender: TObject;
  const AItem: TListViewItem);
begin
Datas.FDOrder.Active:=True;
TabControl1.Next();
end;

procedure TForm21.OuvrirClick(Sender: TObject);
begin
Datas.FDOrders.Active:=Not Datas.FDOrders.Active;
end;

procedure TForm21.RetourClick(Sender: TObject);
begin
TabControl1.Previous();
Datas.FDOrder.Active:=False;
end;

procedure TForm21.SortirClick(Sender: TObject);
begin
Close;
end;

end.
